%define upstream_name    CGI-Buffer
%define upstream_version 0.77

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Optimise the output of a CGI Program
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/CGI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CGI::Info) >= 0.510.0
BuildRequires: perl(CSS::Packer)
BuildRequires: perl(Carp)
BuildRequires: perl(Compress::Zlib)
BuildRequires: perl(DateTime)
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(HTML::Lint)
BuildRequires: perl(HTML::Packer) >= 1.0.0
BuildRequires: perl(HTTP::Date)
BuildRequires: perl(IO::String)
BuildRequires: perl(JavaScript::Packer) >= 2.0.0
BuildRequires: perl(Storable)
BuildRequires: perl(Test::Most)
BuildRequires: perl(Test::Requires)
BuildRequires: perl(Test::TempDir::Tiny)
BuildRequires: perl(Time::localtime)
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Tue Jul 11 2017 bb2 <bb2> - 0.770.0-3pclos2017
- rebuild against updates

